不能忽视的babelrc文件

用webpack搭建react框架,总是报错,js

找了半天原因,后来发现自己在网上copy的.babelrc文件写错了,太狗血了。

贴出问题

{
  test: /\.js$/,
  loader: 'babel-loader', //此处不能用use,不知道为啥
  exclude: /node_modules/ //需要排除的目录
}

改后的

{
  "presets": [
    "es2015",
    "react"
  ],
  "plugins": []
}

随机浏览